net.corda.core.node.services

## Class UniquenessProvider.ConsumingTx

- net.corda.core.node.services.UniquenessProvider.ConsumingTx

- Enclosing interface:
    UniquenessProvider

      public static class UniquenessProvider.ConsumingTx

  Specifies the transaction id, the position of the consumed state in the inputs, and the caller identity requesting the commit.

  TODO: need to do more design work to prevent privacy problems: knowing the id of a transaction, by the rules of our system the party can obtain it and see its contents. This allows a party to just submit invalid transactions with outputs it was aware of and find out where exactly they were spent.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsumingTx(SecureHash id, int inputIndex, Party requestingParty)` Specifies the transaction id, the position of the consumed state in the inputs, and the caller identity requesting the commit.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecureHash` | `component1()`
    `int` | `component2()`
    `Party` | `component3()`
    `UniquenessProvider.ConsumingTx` | `copy(SecureHash id, int inputIndex, Party requestingParty)` Specifies the transaction id, the position of the consumed state in the inputs, and the caller identity requesting the commit.
    `boolean` | `equals(java.lang.Object p)`
    `SecureHash` | `getId()`
    `int` | `getInputIndex()`
    `Party` | `getRequestingParty()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### ConsumingTx

          public ConsumingTx(SecureHash id,
                             int inputIndex,
                             Party requestingParty)

      Specifies the transaction id, the position of the consumed state in the inputs, and the caller identity requesting the commit.

      TODO: need to do more design work to prevent privacy problems: knowing the id of a transaction, by the rules of our system the party can obtain it and see its contents. This allows a party to just submit invalid transactions with outputs it was aware of and find out where exactly they were spent.

  - ### Method Detail

    - #### getId

          public SecureHash getId()

    - #### getInputIndex

          public int getInputIndex()

    - #### getRequestingParty

          public Party getRequestingParty()

    - #### component1

          public SecureHash component1()

    - #### component2

          public int component2()

    - #### component3

          public Party component3()

    - #### copy

          public UniquenessProvider.ConsumingTx copy(SecureHash id,
                                                     int inputIndex,
                                                     Party requestingParty)

      Specifies the transaction id, the position of the consumed state in the inputs, and the caller identity requesting the commit.

      TODO: need to do more design work to prevent privacy problems: knowing the id of a transaction, by the rules of our system the party can obtain it and see its contents. This allows a party to just submit invalid transactions with outputs it was aware of and find out where exactly they were spent.

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)